Retrieve a single task from a specific case.
HTTP Method: GET
| Query Parameter |
Description |
| case_id |
The ID of the case. |
| task_id |
The ID of the task to retrieve. |
curl -X GET \
https://<tenant-domain>/api/v2/cases/<<case_id>>/tasks/<<task_id>> \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
A successful request will return a JSON object representing the specified task.
| Parameter |
Description |
| task |
The task object. |
Task object fields
| Parameter |
Description |
| id |
The task ID. |
| description |
The task description. |
| completed |
Boolean indicating whether the task is completed. |
| assignees |
An array of users assigned to the task. |
| created_at |
ISO 8601 Timestamp representing the date and time the task was created at. |
| updated_at |
ISO 8601 Timestamp representing the date and time the task was updated at. |
Assignee object fields
| Parameter |
Description |
| id |
The user ID. |
| email |
The user email. |
| first_name |
The user's first name. |
| last_name |
The user's last name. |
{
"task": {
"id": 1,
"description": "Review security logs",
"completed": false,
"assignees": [
{
"id": "123",
"email": "user1@example.com",
"first_name": "John",
"last_name": "Doe"
},
{
"id": "456",
"email": "user2@example.com",
"first_name": "Jane",
"last_name": "Smith"
}
],
"created_at": "2024-03-25T15:40:39Z",
"updated_at": "2024-03-25T15:40:39Z"
}
}